using Indotalent.Infrastructure.Authentication.Firebase;
using Indotalent.Infrastructure.Authentication.Keycloak;

namespace Indotalent.Infrastructure.Authentication.Identity;

public class IdentitySettingsModel
{
    public PasswordSettings Password { get; set; } = new();
    public CookieSettings Cookies { get; set; } = new();
    public DefaultAdminSettings DefaultAdmin { get; set; } = new();
    public SignInSettings SignIn { get; set; } = new();
    public FirebaseSettingsModel SsoFirebase { get; set; } = new();
    public KeycloakSettingsModel SsoKeycloak { get; set; } = new();
}
